中危 Xpdf 缓冲区错误漏洞

CVE编号

CVE-2019-16115

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-09-09
漏洞描述
Xpdf是Foo实验室的一款开源的PDF阅读器。该产品支持解码LZW压缩格式的文件以及阅读加密的PDF文件。
Xpdf 4.01.01版本中的Function.cc文件的IdentityFunction::transform存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
http://www.xpdfreader.com/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 glyphandcog xpdfreader 4.01.01 -
运行在以下环境
系统 debian_10 xpdf * Up to
(excluding)
3.04-13
运行在以下环境
系统 debian_11 xpdf * Up to
(excluding)
3.04+git20210103-3
运行在以下环境
系统 debian_12 xpdf * Up to
(excluding)
3.04+git20220601-1
运行在以下环境
系统 opensuse_Leap_15.4 libpoppler73 * Up to
(excluding)
0.62.0-150000.4.18.1
运行在以下环境
系统 suse_12_SP5 libpoppler60 * Up to
(excluding)
4-0.43.0-16.28.1
阿里云评分
6.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况